Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1565255 - [abrt] PackageKit: vasprintf(): packagekitd killed by SIGABRT
Summary: [abrt] PackageKit: vasprintf(): packagekitd killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:95d1a4db2710380fa196841d4bd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 18:30 UTC by Juan Orti
Modified: 2019-05-28 19:52 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:52:30 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (38.86 KB, text/plain)
2018-04-09 18:30 UTC, Juan Orti
no flags Details
File: cgroup (332 bytes, text/plain)
2018-04-09 18:30 UTC, Juan Orti
no flags Details
File: core_backtrace (16.57 KB, text/plain)
2018-04-09 18:30 UTC, Juan Orti
no flags Details
File: cpuinfo (1.52 KB, text/plain)
2018-04-09 18:30 UTC, Juan Orti
no flags Details
File: dso_list (8.26 KB, text/plain)
2018-04-09 18:30 UTC, Juan Orti
no flags Details
File: environ (191 bytes, text/plain)
2018-04-09 18:30 UTC, Juan Orti
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-09 18:30 UTC, Juan Orti
no flags Details
File: maps (37.09 KB, text/plain)
2018-04-09 18:30 UTC, Juan Orti
no flags Details
File: mountinfo (4.87 KB, text/plain)
2018-04-09 18:30 UTC, Juan Orti
no flags Details
File: open_fds (4.14 KB, text/plain)
2018-04-09 18:30 UTC, Juan Orti
no flags Details
File: proc_pid_status (1.23 KB, text/plain)
2018-04-09 18:31 UTC, Juan Orti
no flags Details
File: var_log_messages (2.45 KB, text/plain)
2018-04-09 18:31 UTC, Juan Orti
no flags Details

Description Juan Orti 2018-04-09 18:30:34 UTC
Version-Release number of selected component:
PackageKit-1.1.9-3.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: vasprintf
executable:     /usr/libexec/packagekitd
journald_cursor: s=f75de69b61df4a9ebc43839145c15832;i=3be082;b=3895eb7e35384346a148bc0337c240fe;m=2dc1c110d;t=56956365ce79c;x=4635d1b0c42136e
kernel:         4.16.0-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 1 Juan Orti 2018-04-09 18:30:41 UTC
Created attachment 1419507 [details]
File: backtrace

Comment 2 Juan Orti 2018-04-09 18:30:42 UTC
Created attachment 1419508 [details]
File: cgroup

Comment 3 Juan Orti 2018-04-09 18:30:44 UTC
Created attachment 1419509 [details]
File: core_backtrace

Comment 4 Juan Orti 2018-04-09 18:30:46 UTC
Created attachment 1419510 [details]
File: cpuinfo

Comment 5 Juan Orti 2018-04-09 18:30:48 UTC
Created attachment 1419511 [details]
File: dso_list

Comment 6 Juan Orti 2018-04-09 18:30:49 UTC
Created attachment 1419512 [details]
File: environ

Comment 7 Juan Orti 2018-04-09 18:30:50 UTC
Created attachment 1419513 [details]
File: limits

Comment 8 Juan Orti 2018-04-09 18:30:53 UTC
Created attachment 1419514 [details]
File: maps

Comment 9 Juan Orti 2018-04-09 18:30:54 UTC
Created attachment 1419515 [details]
File: mountinfo

Comment 10 Juan Orti 2018-04-09 18:30:56 UTC
Created attachment 1419516 [details]
File: open_fds

Comment 11 Juan Orti 2018-04-09 18:31:02 UTC
Created attachment 1419518 [details]
File: proc_pid_status

Comment 12 Juan Orti 2018-04-09 18:31:03 UTC
Created attachment 1419519 [details]
File: var_log_messages

Comment 13 Ben Cotton 2019-05-02 21:56:26 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2019-05-28 19:52:30 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.